## heat-dashboard 1.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD

## heat-dashboard 1.0.0

=== debian/changelog ===
heat-dashboard (1.0.0-0ubuntu1) bionic; urgency=medium

  * Initial release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/import-horizon.patch: Ensure horizon test settings are imported.
  * d/rules: Align test execution with upstream.
  * d/rules: Disable tests as they need to be run as root or horizon user.
  * d/python-heat-dashboard.postinst: Align with horizon and other
    dashboards by switching to using horizon instead of www-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 09:38:47 -0500

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 54~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:13.0.0~b3~),
 python-coverage (>= 4.0),
 python-django (>= 1.8),
 python-django-nose (>= 1.4.4),
 python-doc8 (>= 0.6.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-nose (>= 1.3.7),
 python-nose-exclude (>= 0.3.0),
 python-nosehtmloutput (>= 0.0.3),
 python-nosexcover (>= 1.0.10),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.17.0),
 python-pbr (>= 2.0.0),
 python-reno (>= 2.5.0),
 python-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
Homepage: https://github.com/stackforge/heat-dashboard

Package: python-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:13.0.0~b3~),
 python-heatclient (>= 1.10.0),
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Disable tests. Tests are successful if run as root or horizon user, however
	# regular user does not have read access to /var/lib/openstack-dashboard/secret_key.
	#PYTHONPATH=$(CURDIR) \
	#	INTEGRATION_TESTS=0 \
	#	NOSE_WITH_OPENSTACK=1 \
	#	NOSE_OPENSTACK_COLOR=1 \
	#	NOSE_OPENSTACK_RED=0.05 \
	#	NOSE_OPENSTACK_YELLOW=0.025 \
	#	NOSE_OPENSTACK_SHOW_ELAPSED=1 \
	#	DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
	#	python-coverage run --source=heat_dashboard \
	#	$(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the heat_dashboard plugin in Horizon
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-heat-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python-heat-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
	done
	mkdir -p $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled

## heat-dashboard 1.0.2

=== debian/changelog ===
heat-dashboard (1.0.2-0ubuntu2.1) bionic; urgency=medium

  * d/python-heat-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:08:42 -0400

heat-dashboard (1.0.2-0ubuntu2) bionic; urgency=medium

  * Misc fixes for integration with Horizon (LP: #1754508):
    - d/rules: Install heat_policy.json and heat local configuration
      into required locations for openstack-dashboard operation.
    - d/control: Breaks/Replaces << 3:13.0.0-0ubuntu1~ of
      openstack-dashboard which used to ship heat_policy.json.
  * d/control: Drop duplicate BD on python-pbr.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Mar 2018 11:24:39 +0000

heat-dashboard (1.0.2-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 21:14:10 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-setuptools,
  python-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:13.0.0~b3~),
+ openstack-dashboard (>= 3:13.0.0~rc1~),
  python-coverage (>= 4.0),
  python-django (>= 1.8),
  python-django-nose (>= 1.4.4),
@@ -27,9 +27,9 @@
  python-nosehtmloutput (>= 0.0.3),
  python-nosexcover (>= 1.0.10),
  python-openstack.nose-plugin (>= 0.7),
- python-openstackdocstheme (>= 1.17.0),
- python-pbr (>= 2.0.0),
+ python-openstackdocstheme (>= 1.18.1),
  python-reno (>= 2.5.0),
+ python-sphinxcontrib.httpdomain (>= 1.3.0),
  python-testtools (>= 2.2.0),
  subunit,
  testrepository,
@@ -41,11 +41,15 @@
 Package: python-heat-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:13.0.0~b3~),
+ openstack-dashboard (>= 3:13.0.0~rc1~),
  python-heatclient (>= 1.10.0),
  python-pbr (>= 2.0.0),
  ${misc:Depends},
  ${python:Depends},
+Breaks:
+ openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
+Replaces:
+ openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
 Description: OpenStack orchestration service - dashboard plugin
  Heat is a service to orchestrate multiple composite cloud applications using
  templates, through both an OpenStack-native ReST API and a

=== debian/rules ===
--- 
+++ 
@@ -38,3 +38,7 @@
 	done
 	mkdir -p $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
 	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
+	mkdir -p $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d
+	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d
+	mkdir -p $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/conf
+	cp $(CURDIR)/heat_dashboard/conf/* $(CURDIR)/debian/python-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/conf

## heat-dashboard 1.0.2+dfsg1

=== debian/changelog ===
heat-dashboard (1.0.2+dfsg1-2) unstable; urgency=medium

  * Add Fix_file_path_typo_for_hotgen-main.scss.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 04 Mar 2018 14:16:28 +0100

heat-dashboard (1.0.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #891002).

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 14:09:04 +0100

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:13.0.0~rc1),
 python3-django-nose,
 python3-heatclient (>= 1.10.0),
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openstack.nose-plugin,
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat-dashboard.git
Homepage: https://github.com/stackforge/heat-dashboard

Package: python3-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:13.0.0~rc1),
 python3-heatclient (>= 1.10.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done


ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test heat_dashboard.test -v 2 --settings=heat_dashboard.test.settings ; \
	done
endif

	# Activates the local_settings.d heat-dashboard plugin in Horizon
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_1699_orchestration_settings.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d

	mkdir -p $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_1699_orchestration_settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d

	# Copy the enabled files
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -axuf heat_dashboard/enabled/_16* $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	mkdir -p $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp -axuf heat_dashboard/enabled/_16* $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled

	# Copy the static files of heat-dashboard into the folder served
	# as /$WEBROOT/static for the Horizon vhost
	mkdir -p $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static
	cp -auxf heat_dashboard/static/dashboard $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static

	dh_install
	dh_missing --fail-missing

	chmod -x $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard/static/dashboard/project/heat_dashboard/template_generator/css/img/icons/*.svg
	chmod -x $(CURDIR)/debian/python3-heat-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/project/heat_dashboard/template_generator/css/img/icons/*.svg

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/heat-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## heat-dashboard 1.1.0

=== debian/changelog ===
heat-dashboard (1.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 May 2018 13:53:46 -0400

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 54~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~),
 python-coverage (>= 4.0),
 python-django (>= 1.8),
 python-django-horizon (>= 3:13.0.0),
 python-django-nose (>= 1.4.4),
 python-doc8 (>= 0.6.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-nose (>= 1.3.7),
 python-nose-exclude (>= 0.3.0),
 python-nosehtmloutput (>= 0.0.3),
 python-nosexcover (>= 1.0.10),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-reno (>= 2.5.0),
 python-sphinxcontrib.httpdomain (>= 1.3.0),
 python-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
Homepage: https://github.com/stackforge/heat-dashboard
Testsuite: autopkgtest-pkg-python

Package: python-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python-django-horizon (>= 3:13.0.0),
 python-heatclient (>= 1.10.0),
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Replaces:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

## heat-dashboard 1.2.0

=== debian/changelog ===
heat-dashboard (1.2.0-0ubuntu3) cosmic; urgency=medium

  * d/control: Drop python(3)-heat-dashboard conflicts. murano-
    dashboard build-depends on python(3)-heat-dashboard and needs
    both installed at the same time for unit tests.
  * d/control: Add heat-dashboard-common package for common files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 09:25:16 -0400

heat-dashboard (1.2.0-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-heat-dashboard package.
    - d/control: Make python(3)-heat-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-heat-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.
  * d/p/embedded-xstatic.patch: Align xstatic imports with horizon package.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 16:48:38 -0400

heat-dashboard (1.2.0-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/import-horizon.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 14:08:50 -0400

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,15 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  openstack-dashboard (>= 3:14.0.0~),
  python-coverage (>= 4.0),
  python-django (>= 1.8),
- python-django-horizon (>= 3:13.0.0),
+ python-django-horizon (>= 3:14.0.0~),
  python-django-nose (>= 1.4.4),
  python-doc8 (>= 0.6.0),
  python-hacking (>= 0.12.0),
@@ -32,6 +35,24 @@
  python-reno (>= 2.5.0),
  python-sphinxcontrib.httpdomain (>= 1.3.0),
  python-testtools (>= 2.2.0),
+ python3-coverage (>= 4.0),
+ python3-django (>= 1.8),
+ python3-django-horizon (>= 3:14.0.0~),
+ python3-django-nose (>= 1.4.4),
+ python3-doc8 (>= 0.6.0),
+ python3-hacking (>= 0.12.0),
+ python3-heatclient (>= 1.10.0),
+ python3-mock (>= 2.0.0),
+ python3-mox3 (>= 0.20.0),
+ python3-nose (>= 1.3.7),
+ python3-nose-exclude (>= 0.3.0),
+ python3-nosehtmloutput (>= 0.0.3),
+ python3-nosexcover (>= 1.0.10),
+ python3-openstack.nose-plugin (>= 0.7),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-reno (>= 2.5.0),
+ python3-sphinxcontrib.httpdomain (>= 1.3.0),
+ python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
 Standards-Version: 4.1.4
@@ -43,8 +64,9 @@
 Package: python-heat-dashboard
 Architecture: all
 Depends:
+ heat-dashboard-common (= ${source:Version}),
  openstack-dashboard (>= 3:14.0.0~),
- python-django-horizon (>= 3:13.0.0),
+ python-django-horizon (>= 3:14.0.0~),
  python-heatclient (>= 1.10.0),
  python-pbr (>= 2.0.0),
  ${misc:Depends},
@@ -53,9 +75,47 @@
  openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
 Replaces:
  openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
-Description: OpenStack orchestration service - dashboard plugin
+Description: OpenStack orchestration service - Python 2 dashboard plugin
  Heat is a service to orchestrate multiple composite cloud applications using
  templates, through both an OpenStack-native ReST API and a
  CloudFormation-compatible Query API.
  .
- This package contains the OpenStack dashboard plugin.
+ This package contains the Python 2 OpenStack dashboard plugin.
+
+Package: python3-heat-dashboard
+Architecture: all
+Depends:
+ heat-dashboard-common (= ${source:Version}),
+ openstack-dashboard (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0~),
+ python3-heatclient (>= 1.10.0),
+ python3-pbr (>= 2.0.0),
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
+Replaces:
+ openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
+Description: OpenStack orchestration service - Python 3 dashboard plugin
+ Heat is a service to orchestrate multiple composite cloud applications using
+ templates, through both an OpenStack-native ReST API and a
+ CloudFormation-compatible Query API.
+ .
+ This package contains the Python 3 OpenStack dashboard plugin.
+
+Package: heat-dashboard-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Breaks:
+ python-heat-dashboard (<< 1.2.0-0ubuntu3~),
+ python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
+Replaces:
+ python-heat-dashboard (<< 1.2.0-0ubuntu3~),
+ python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
+Description: OpenStack orchestration service - Common files
+ Heat is a service to orchestrate multiple composite cloud applications using
+ templates, through both an OpenStack-native ReST API and a
+ CloudFormation-compatible Query API.
+ .
+ This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Disable tests. Tests are successful if run as root or horizon user, however
	# regular user does not have read access to /var/lib/openstack-dashboard/secret_key.
	#PYTHONPATH=$(CURDIR) \
	#	INTEGRATION_TESTS=0 \
	#	NOSE_WITH_OPENSTACK=1 \
	#	NOSE_OPENSTACK_COLOR=1 \
	#	NOSE_OPENSTACK_RED=0.05 \
	#	NOSE_OPENSTACK_YELLOW=0.025 \
	#	NOSE_OPENSTACK_SHOW_ELAPSED=1 \
	#	DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
	#	python-coverage run --source=heat_dashboard \
	#	python $(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
	#PYTHONPATH=$(CURDIR) \
	#	INTEGRATION_TESTS=0 \
	#	NOSE_WITH_OPENSTACK=1 \
	#	NOSE_OPENSTACK_COLOR=1 \
	#	NOSE_OPENSTACK_RED=0.05 \
	#	NOSE_OPENSTACK_YELLOW=0.025 \
	#	NOSE_OPENSTACK_SHOW_ELAPSED=1 \
	#	DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
	#	python3-coverage run --source=heat_dashboard \
	#	python3 $(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install

	# Activates the heat_dashboard plugin in Horizon - Python 2
	mkdir -p $(CURDIR)/debian/python-heat-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python-heat-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \

	# Activates the heat_dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	# Install common files
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/conf
	cp $(CURDIR)/heat_dashboard/conf/* $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/conf

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/heat-dashboard heat-dashboard-(1\.\d.*)\.tar\.gz

## heat-dashboard 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,13 @@
 # PBR should always appear first
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
+
+# This will be installed from git in OpenStack CI if the job setting
+# required-projects for horizon:
+horizon>=14.0.0.0b1 # Apache-2.0
+
+xstatic-angular-uuid>=0.0.4.0 # MIT
+xstatic-angular-vis>=4.16.0.0 # MIT
+xstatic-filesaver>=1.3.2.0 # MIT
+xstatic-js-yaml>=3.8.1.0 # MIT
+xstatic-json2yaml>=0.1.1.0 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,6 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
 reno>=2.5.0 # Apache-2.0
 sphinxcontrib-httpdomain>=1.3.0 # BSD

=== debian/changelog ===
heat-dashboard (1.3.0-0ubuntu2) cosmic; urgency=medium

  * Bundle required xstatic modules with package:
    - d/rules,bundle-xstatic.sh: Mirror tools from horizon package.
    - d/p/embedded-xstatic.patch: Switch horizon -> heat_dashboard for
      import path for all project specific xstatic modules.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Aug 2018 11:04:18 +0100

heat-dashboard (1.3.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 12:05:12 -0400

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0~b1~),
  python-coverage (>= 4.0),
  python-django (>= 1.8),
- python-django-horizon (>= 3:14.0.0~),
+ python-django-horizon (>= 3:14.0.0~b1~),
  python-django-nose (>= 1.4.4),
  python-doc8 (>= 0.6.0),
  python-hacking (>= 0.12.0),
@@ -37,7 +37,7 @@
  python-testtools (>= 2.2.0),
  python3-coverage (>= 4.0),
  python3-django (>= 1.8),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0~b1~),
  python3-django-nose (>= 1.4.4),
  python3-doc8 (>= 0.6.0),
  python3-hacking (>= 0.12.0),
@@ -65,8 +65,8 @@
 Architecture: all
 Depends:
  heat-dashboard-common (= ${source:Version}),
- openstack-dashboard (>= 3:14.0.0~),
- python-django-horizon (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0~b1~),
+ python-django-horizon (>= 3:14.0.0~b1~),
  python-heatclient (>= 1.10.0),
  python-pbr (>= 2.0.0),
  ${misc:Depends},
@@ -86,8 +86,8 @@
 Architecture: all
 Depends:
  heat-dashboard-common (= ${source:Version}),
- openstack-dashboard (>= 3:14.0.0~),
- python3-django-horizon (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0~b1~),
+ python3-django-horizon (>= 3:14.0.0~b1~),
  python3-heatclient (>= 1.10.0),
  python3-pbr (>= 2.0.0),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
+
+DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
@@ -52,3 +56,9 @@
 	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.d
 	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/conf
 	cp $(CURDIR)/heat_dashboard/conf/* $(CURDIR)/debian/heat-dashboard-common/usr/share/openstack-dashboard/openstack_dashboard/conf
+
+	cp -r xstatic $(CURDIR)/debian/python-heat-dashboard/usr/lib/python2.7/dist-packages/heat_dashboard
+	cp -r xstatic $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard
+
+refresh-xstatic:
+	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

## heat-dashboard 1.4.0

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # This will be installed from git in OpenStack CI if the job setting
 # required-projects for horizon:
-horizon>=14.0.0.0b1 # Apache-2.0
+horizon>=14.0.0.0b3 # Apache-2.0
 
 xstatic-angular-uuid>=0.0.4.0 # MIT
 xstatic-angular-vis>=4.16.0.0 # MIT

=== debian/changelog ===
heat-dashboard (1.4.0-2) unstable; urgency=medium

  * Redesign heat-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
      - Update copyright
      - Update Uploaders filed in d/control
  * Add install-missing-files.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 18 Jan 2019 18:44:00 +0100

heat-dashboard (1.4.0-1) unstable; urgency=medium

  [ David Rabel ]
  * d/watch: Add dversionmangle for dfsg tag.

  [ Thomas Goirand ]
  * Fixed postrm syntax.
  * New upstream release:
    - No need to produce a +dfsg version anymore, as the non-dfsg files are
      gone away. Thanks to upstream for that!
    - Removed remove-minified-js.patch.
    - Removed Fix_file_path_typo_for_hotgen-main.scss.patch applied upstream.
  * Fixed (bulid-)depends for this release.
  * Bumped Standards-Version to 4.2.0 (no change needed).

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 May 2018 14:18:27 +0200

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-heatclient (>= 1.10.0),
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-openstack.nose-plugin,
 python3-testtools (>= 2.2.0),
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat-dashboard.git
Homepage: https://github.com/stackforge/heat-dashboard

Package: python3-heat-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-heatclient (>= 1.10.0),
 python3-pbr (>= 2.0.0),
 python3-xstatic-angular-uuid,
 python3-xstatic-angular-vis,
 python3-xstatic-filesaver,
 python3-xstatic-js-yaml,
 python3-xstatic-json2yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move policy file
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/conf/heat_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/heat_policy.json

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Move local_settings
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	# Remove config dirs from /usr/lib/python3/dist-packages/heat_dashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/conf
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/enabled
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/heat_dashboard/local_settings.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test heat_dashboard.test -v 2 --settings=heat_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/,dversionmangle=s/\+dfsg[0-9]*//" \
https://github.com/openstack/heat-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## heat-dashboard 1.5.0

=== debian/changelog ===
heat-dashboard (1.5.0-0ubuntu3~cloud1) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Heather Lemon ]
  * d/p/2003343-enforces-unicode-decoding-of-data.patch (LP: #1914100)
    - Enforces the decoding of the returned value as a UTF-8

 -- Heather Lemon <heather.lemon@canonical.com>  Thu, 28 Jan 2021 15:52:57 -0700

heat-dashboard (1.5.0-0ubuntu3~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Apr 2019 14:21:09 +0000

heat-dashboard (1.5.0-0ubuntu3) disco; urgency=medium

  * d/rules: Enable unit test execution.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Apr 2019 09:47:24 -0400

heat-dashboard (1.5.0-0ubuntu2) disco; urgency=medium

  * d/p/embedded-xstatic.patch: Ensure embedded xstatic modules are not
    added as runtime dependencies.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2019 10:11:07 +0000

heat-dashboard (1.5.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 09:14:55 -0400

heat-dashboard (1.4.0-0ubuntu3) disco; urgency=medium

  * d/control: Ensure BD version of openstack-dashboard/python3-django-horizon
    is disco (py3-only) version. Also add BD on latest python3-heatclient
    for DEP8 tests to pass.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 13:20:18 -0500

heat-dashboard (1.4.0-0ubuntu2) disco; urgency=medium

  * d/control,rules,python*,d/p/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:18:59 -0500

heat-dashboard (1.4.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 16:06:36 -0400

heat-dashboard (1.3.0-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Aug 2018 17:32:29 -0400

heat-dashboard (1.3.0-0ubuntu3) cosmic; urgency=medium

  * d/rules: openstack-dashboard now uses update-alternatives, effectively
    symlinking /usr/share/openstack-dashboard/openstack_dashboard to
    /usr/lib/python*/dist-packages/openstack_dashboard, so we can no longer
    copy common files to /usr/share/openstack-dashboard/openstack_dashboard.
    Instead, copy files to /usr/lib/python*/dist-packages/openstack_dashboard.
  * d/README.source, d/bundle-xstatic.sh: Add README and minor update for
    bundling of xstatic dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Aug 2018 14:54:53 -0400

=== debian/control ===
Source: heat-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:15.0.0~b1~),
 python3-coverage (>= 4.0),
 python3-django (>= 1.8),
 python3-django-horizon (>= 3:15.0.0~b1~),
 python3-django-nose (>= 1.4.4),
 python3-doc8 (>= 0.6.0),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.17.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.3.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-reno (>= 2.5.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
Homepage: https://github.com/stackforge/heat-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-heat-dashboard
Architecture: all
Depends:
 heat-dashboard-common (= ${source:Version}),
 openstack-dashboard (>= 3:15.0.0~b1~),
 python3-django-horizon (>= 3:15.0.0~b1~),
 python3-heatclient (>= 1.17.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Replaces:
 openstack-dashboard (<< 3:13.0.0-0ubuntu1~),
Description: OpenStack orchestration service - Python 3 dashboard plugin
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

Package: heat-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Replaces:
 python-heat-dashboard (<< 1.2.0-0ubuntu3~),
 python3-heat-dashboard (<< 1.2.0-0ubuntu3~),
Description: OpenStack orchestration service - Common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains common files.

## heat-dashboard 1.5.1~b2~git2019082610.050d63b

=== debian/changelog ===
heat-dashboard (1.5.1~b2~git2019082610.050d63b-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.
  * d/p/skip-django224-tests.patch: Temporarily skip tests that fail with
    python3-django 2:2.2.4. This can be dropped once python3-django 2:2.2.4
    is removed from eoan-proposed.
  * d/p/embedded-xstatic.patch: Restore previous version of this patch.
    angular and angular_bootstrap do actually reside under
    /usr/lib/python3/dist-packages/horizon/xstatic/pkg/.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:26:28 -0400

heat-dashboard (1.5.1~b2~git2019082610.050d63b-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is <= 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 11:48:16 -0400

heat-dashboard (1.5.1~b2~git2019082610.050d63b-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/embedded-xstatic.patch: Refresh + fix xstatic paths.
  * d/control: Fixed python3-django version.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 10:54:06 -0400

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
 Build-Depends-Indep:
  openstack-dashboard (>= 3:15.0.0~b1~),
  python3-coverage (>= 4.0),
- python3-django (>= 1.8),
+ python3-django (>= 1:1.11),
  python3-django-horizon (>= 3:15.0.0~b1~),
  python3-django-nose (>= 1.4.4),
  python3-doc8 (>= 0.6.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-heatclient (>= 1.17.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
@@ -35,11 +35,12 @@
  python3-reno (>= 2.5.0),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
  python3-testtools (>= 2.2.0),
+ python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
 Standards-Version: 4.1.4
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat-dashboard
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat-dashboard
 Homepage: https://github.com/stackforge/heat-dashboard
 Testsuite: autopkgtest-pkg-python
 
@@ -48,6 +49,7 @@
 Depends:
  heat-dashboard-common (= ${source:Version}),
  openstack-dashboard (>= 3:15.0.0~b1~),
+ python3-django (>= 1:1.11),
  python3-django-horizon (>= 3:15.0.0~b1~),
  python3-heatclient (>= 1.17.0),
  python3-pbr (>= 2.0.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		INTEGRATION_TESTS=0 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=heat_dashboard.test.settings \
		python3-coverage run --source=heat_dashboard \
		$(CURDIR)/manage.py test heat_dashboard.test.tests --settings=heat_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the heat_dashboard plugin in Horizon - Python 3
	mkdir -p $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/heat_dashboard/enabled/_16*.py $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	# Install common files - Python 3
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	cp $(CURDIR)/heat_dashboard/local_settings.d/_16*.py $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d
	mkdir -p $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/heat_dashboard/conf/* $(CURDIR)/debian/heat-dashboard-common/usr/lib/python3/dist-packages/openstack_dashboard/conf

	# Install xstatic dependencies
	cp -r xstatic $(CURDIR)/debian/python3-heat-dashboard/usr/lib/python3/dist-packages/heat_dashboard

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

## heat-dashboard 2.0.0~rc1

=== debian/changelog ===
heat-dashboard (2.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 2.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:24:51 -0400
